Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056437 - python-prettytable-0.7.2-1.el6 breaks python-ceilometerclient on epel6
Summary: python-prettytable-0.7.2-1.el6 breaks python-ceilometerclient on epel6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-ceilometerclient
Version: el6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Jakub Ruzicka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 08:41 UTC by Tuomo Soini
Modified: 2014-04-09 05:27 UTC (History)
6 users (show)

Fixed In Version: python-ceilometerclient-1.0.8-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 05:27:17 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2014-01-22 08:41:11 UTC
Description of problem:

package: python-ceilometerclient-1.0.0-1.el6.noarch from epel
  unresolved deps: 
     python-prettytable < 0:0.7

pythn-ceilometerclient requires older one so either prettytable update shouldn't happen or python-ceilometerclient needs controlled update.

Comment 1 Tuomo Soini 2014-01-31 06:50:22 UTC
Actually this is just wrong dependency in the python-ceilometerclient spec.

requirements.txt has:
-PrettyTable>=0.6,<0.8

and spec has:

Requires:         python-prettytable < 0.7

When this should be:

Requires:         python-prettytable < 0.8

Can you please fix this asap?

Comment 2 Alan Pevec 2014-01-31 15:20:50 UTC
This was fixed in python-ceilometeclient 1.0.1 updated:
 http://pkgs.fedoraproject.org/cgit/python-ceilometerclient.git/commit/?h=el6-havana&id=e02e95be2deea6af042900c7343f51cfd94ab6cd

but this wasn't pushed to EPEL6.

I would recommend to use RDO[1] instead of OpenStack packages in EPEL6.
They are Folsom release and will be removed soon because Folsom is EOL upstream and EPEL policy doesn't allow incompatible upgrades.

[1] http://openstack.redhat.com/Quickstart

Alternative might be to keep OpenStack client packages in EPEL but that's TBD, when clients really reach backward compatibility promise.

Comment 3 Fedora Update System 2014-02-04 15:19:53 UTC
python-ceilometerclient-1.0.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-ceilometerclient-1.0.8-1.el6

Comment 4 Pádraig Brady 2014-02-04 15:21:23 UTC
I submitted the update so as to have the dependencies within EPEL consistent at least. We might subsequently remove ceilometerclient from EPEL, but until then...

Comment 5 Fedora Update System 2014-02-04 19:05:38 UTC
Package python-ceilometerclient-1.0.8-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-ceilometerclient-1.0.8-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0441/python-ceilometerclient-1.0.8-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-04-09 05:27:17 UTC
python-ceilometerclient-1.0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.